/* ANCHOR: all */
# Ceremony Repository

// ANCHOR: content
This repository holds data pertaining to ceremonies. The primary data consists of:

* Transaction proposals

* Transaction approvals

* Tamper proofing evidence

* Policies (such as spending rules)

* Participants

## Directives

* MUST be a private repository

* MUST be write protected, requiring approval from at least 1 individual other than one who opened the PR for merging

* MUST require signed commits

## Repository Structure

```
ceremonies/
    <date>/
        log.txt
            - [ ] TODO: write a layout for the log
        tamper_evidence/
            <photo_name>.jpeg
            <photo_name>.jpeg
        transactions/
            <tx_name>.tx.json
policies/
    spending-policy.json
keychain/
    <key_id>/
        sig_1.asc
        sig_2.asc
```

## Procedure: Setting up Repository

{{ #include ./git-repository-initialization.md:procedure}}
// ANCHOR_END: content
/* ANCHOR_END: all */

