/* ANCHOR: all */
# Set up AirgapOS

Because without a Librem 14 there is no easy way to have a secure boot sequence,
instead the AirgapOS `.iso` image is flashed to an SD card, locked using
`sdtool` and then verified using any machine.

## Setup Steps
// ANCHOR: steps
1. Build the software according to the [readme](https://git.distrust.co/public/airgap) in the repository. Use the `make reproduce` command.

1. Verify the software according to [this](../../../../component-documents/verifying-signatures.md) guide

1. Flash `airgap.iso` to an SD Card:

    * `dd if=out/airgap.iso of=/dev/<your_device> bs=4M status=progress conv=fsync`

### Use the `sdtool` to lock the SD Card:

{{ #include ../sdtool-instructions.md:steps }}

1. Label the SD card "AirgapOS - <version>"

1. Verify that the hash of `airgap.iso` matches what's flashed on the SD card:

    * `head -c $(stat -c '%s' out/airgap.iso) /dev/sdb | sha256sum`

    * `sha256sum out/airgap.iso`

1. Commit the hash of airgap to a git repo, ensuring the commit is signed

// ANCHOR_END: steps

/* ANCHOR_END: all */